## org.apache.taglibs.standard.lang.jstl
Class PropertySuffix

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.ValueSuffix
          org.apache.taglibs.standard.lang.jstl.ArraySuffix
              org.apache.taglibs.standard.lang.jstl.PropertySuffix

    public class PropertySuffix

extends ArraySuffix

Represents an operator that obtains the value of another value's property. This is a specialization of ArraySuffix - a.b is equivalent to a["b"]

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group, Shawn Bayern

Constructor Summary
`PropertySuffix(String pName)` Constructor

Method Summary
`String` `getExpressionString()` Returns the expression in the expression language syntax
`String` `getName()`
`void` `setName(String pName)`

Methods inherited from class org.apache.taglibs.standard.lang.jstl.ArraySuffix
`evaluate, getIndex, setIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertySuffix

    public PropertySuffix(String pName)

  Constructor

Method Detail

### getName

    public String getName()

### setName

    public void setName(String pName)

### getExpressionString

    public String getExpressionString()

  Returns the expression in the expression language syntax

  Overrides:
    `getExpressionString` in class `ArraySuffix`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.